/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2015 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.dnd;

import org.eclipse.emf.ecore.EObject;
import org.fortiss.tooling.base.model.layout.Point;

/**
 * Connection Drag context for the Allocation Editor.
 * 
 * @author eder
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating YELLOW Hash: ED903BCC8291A1163C8815A378EEC783
 */
public class AllocationConnectionDragContext extends ConnectionDragContext {

	/** The root object of the allocation. E.g. a deployment. */
	private EObject allocationRoot;

	/** Constructor. */
	public AllocationConnectionDragContext(EObject source, EObject sourceParent,
			Point sourcePosition, EObject target, EObject targetParent, Point targetPosition,
			boolean isSourceFreeConnector, boolean isTargetFreeConnector, boolean isValidSource,
			boolean isTargetRoot, EObject allocationRoot) {
		super(source, sourceParent, sourcePosition, target, targetParent, targetPosition, false,
				isSourceFreeConnector, isTargetFreeConnector, isValidSource, isTargetRoot);
		this.allocationRoot = allocationRoot;
	}

	/** Returns allocationRoot. */
	public EObject getAllocationRoot() {
		return allocationRoot;
	}
}
