/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel;

import static org.apache.commons.lang.StringUtils.rightPad;
import static org.fortiss.tooling.kernel.internal.ToolingKernelInternal.initializeKernel;
import static org.fortiss.tooling.kernel.internal.ToolingKernelInternal.startKernel;

/**
 * Class for centrally initializing and starting the tooling kernel services.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating YELLOW Hash: DA3686116ABE9ACDEC680C6AC5C3308A
 */
public final class ToolingKernel {
	/** Initialize the kernel. */
	public static void initialize() {
		initializeKernel();
	}

	/** Start the kernel. */
	public static void start() {
		startKernel();
	}

	/** Prints the introduction message of the given phase */
	public static void printPhase(String phase) {
		phase = rightPad(phase, 40);
		System.out.println();
		System.out.println("********************************************");
		System.out.println("* " + phase + " *");
		System.out.println("********************************************");
		System.out.println();
	}
}
